Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all customer groups with pagination

List all customer groups within an app

GET/api/v1/{team_slug}/{app_slug}/customer-groups
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
searchstring

Search by name

typestring

Filter by exact type value

store_group_idstring

Filter by store group ID (UUID)

sort-orderstring

Sort order. Should be one of ASC or DESC. Default DESC

sort-keystring

The key to sort on. Can be one of created_at, updated_at, and name (Default is created_at)

pageinteger

Page number (default is 1)

per-pageinteger

Amount of customer groups per page. Minimum 0 and max 100 (default is 20)

Responses
200

List of app customer groups

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroup[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroup
app_idstring
created_atstring
discount_percentageinteger | null
discount_percentage_decimalsinteger | null
idstring
namestring
slugstring
store_group_idstring
typestring
updated_atstring
successboolean
totalinteger
total_pagesinteger
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/customer-groups' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "app_id": "string",
      "created_at": "string",
      "discount_percentage": 0,
      "discount_percentage_decimals": 0,
      "id": "string",
      "name": "string",
      "slug": "string",
      "store_group_id": "string",
      "type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}